/* global hexo */

'use strict';

const path = require('path');
const utils = require('./utils');
const fs = require('fs');

hexo.extend.filter.register('theme_inject', function(injects) {

  //set config var
  utils.defaultConfigFile(hexo, 'math', path.join(__dirname, 'default.yaml'))

  //set views
  hexo.theme.setView('/math/katex', fs.readFileSync('katex.swig').toString());
  hexo.theme.setView('/math/mathjax', fs.readFileSync('mathjax.swig').toString());

  //inject math
  injects.bodyEnd.file('math', path.join(__dirname, 'index.swig'));
  injects.style.push(path.join(__dirname, 'math.styl'));

});
